<?php
namespace Magento\Eav\Block\Adminhtml\Attribute\Edit\Js;

/**
 * Interceptor class for @see \Magento\Eav\Block\Adminhtml\Attribute\Edit\Js
 */
class Interceptor extends \Magento\Eav\Block\Adminhtml\Attribute\Edit\Js implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Eav\Model\Adminhtml\System\Config\Source\Inputtype $inputtype, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $inputtype, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
